﻿$mydir = (Split-Path -parent $MyInvocation.MyCommand.Definition)
$toolsDir = ($mydir | Split-Path | Join-Path -ChildPath "tools")

$srcRoot = "$toolsDir\$packageName"

Import-Module PsGet
Install-ChocolateyZipPackage -PackageName $packageName `
                    -url "https://github.com/PowerShellOrg/DSC/archive/master.zip" `
                    -unzipLocation "$srcRoot" `
                    -specificFolder ""


$resources = gci $srcRoot -Filter "Resources" -Directory -Recurse | Select-Object -First 1 -Wait

#Get all top level folders from the "Resources" sub-folder
$resourceHostModuleFolders = gci $resources.FullName -Directory
write-host -ForegroundColor cyan ($resourceHostModuleFolders|out-string)
foreach($hostModuleFolder in $resourceHostModuleFolders) {
    Write-host -ForegroundColor Green ("hostModuleFOlder: {0}" -f ($hostModuleFolder|out-string))
    $module = gci $hostModuleFolder.FullName -Filter "*.psd1"
    if(-not $module) {
        $module = gci $hostModuleFolder.FullName -Filter "*.psm1"
    }
    Write-host -ForegroundColor Green ([io.path]::GetFileNameWithoutExtension($module))
    Write-host -ForegroundColor Green $module.FullName

    #Install modules without importing (some are DSC resource onlt module, and ought not be treated as regular PowerShell modules)
    Install-Module -modulename ([io.path]::GetFileNameWithoutExtension($module)) -modulepath $module.FullName -global -force -DoNotImport:$true
}



